###################################################
### chunk number 1: 
###################################################
#line 75 "ADaCGH2.Rnw"
library(ADaCGH2)


###################################################
### chunk number 2: 
###################################################
#line 81 "ADaCGH2.Rnw"
options(width = 70)


###################################################
### chunk number 3: 
###################################################
#line 97 "ADaCGH2.Rnw"
if(!file.exists("ADaCGH2_vignette_tmp_dir"))
  dir.create("ADaCGH2_vignette_tmp_dir")
originalDir <- getwd()
setwd("ADaCGH2_vignette_tmp_dir")


###################################################
### chunk number 4: 
###################################################
#line 118 "ADaCGH2.Rnw"
fname <- list.files(path = system.file("data", package = "ADaCGH2"),
                     full.names = TRUE, pattern = "inputEx1")
tableChromArray <- inputDataToADaCGHData(filename = fname)
tableChromArray


###################################################
### chunk number 5:  eval=FALSE
###################################################
## #line 140 "ADaCGH2.Rnw"
## 
## require(multicore)
## parallel(inputDataToADaCGHData(filename = fname), silent = FALSE)
## tableChromArray <- collect()[[1]]
## if(inherits(tableChromArray, "try-error")) {
##   stop("ERROR in input data conversion")
## }
## 


###################################################
### chunk number 6: 
###################################################
#line 165 "ADaCGH2.Rnw"
snowfallInit(universeSize = 2, typecluster = "SOCK")


###################################################
### chunk number 7:  eval=FALSE
###################################################
## #line 175 "ADaCGH2.Rnw"
## help(pSegment)


###################################################
### chunk number 8: 
###################################################
#line 180 "ADaCGH2.Rnw"
hs_mad.out <- pSegmentHaarSeg("cghData.RData",
                           "chromData.RData", merging = "MAD")


###################################################
### chunk number 9: 
###################################################
#line 189 "ADaCGH2.Rnw"
lapply(hs_mad.out, open)
summary(hs_mad.out[[1]][,])


###################################################
### chunk number 10: 
###################################################
#line 203 "ADaCGH2.Rnw"
save(hs_mad.out, file = "hs_mad.out.RData", compress = FALSE)

pChromPlot(outRDataName = "hs_mad.out.RData",
                            cghRDataName = "cghData.RData",
                            chromRDataName = "chromData.RData",
                            posRDataName = "posData.RData",
                            probenamesRDataName = "probeNames.RData",
                            imgheight = 350)


###################################################
### chunk number 11: 
###################################################
#line 227 "ADaCGH2.Rnw"
forcghr <- outputToCGHregions(hs_mad.out)
if(require(CGHregions)) {
  regions1 <- CGHregions(forcghr)
  regions1
}



###################################################
### chunk number 12: 
###################################################
#line 263 "ADaCGH2.Rnw"
datadir <- system.file("testdata", package = "snapCGH")
targets <- readTargets("targets.txt", path = datadir)
RG1 <- read.maimages(targets$FileName, path = datadir, source = "genepix")



RG1 <- read.clonesinfo("cloneinfo.txt", RG1, path = datadir) ## snapCGH-specific
RG1$printer <- getLayout(RG1$genes)
types <- readSpotTypes("SpotTypes.txt", path = datadir)
RG1$genes$Status <- controlStatus(types, RG1)

RG1$design <- c(-1, -1)


RG2 <- backgroundCorrect(RG1, method = "minimum") ## class RGList
MA <- normalizeWithinArrays(RG2, method = "median") ## class MAList
class(MA)
MA2 <- processCGH(MA, method.of.averaging = mean, ID = "ID") ## class SegList
class(MA2)




###################################################
### chunk number 13: 
###################################################
#line 296 "ADaCGH2.Rnw"
tmp <- inputDataToADaCGHData(MAList = MA, na.omit = TRUE)

tmp <- inputDataToADaCGHData(MAList = MA2, na.omit = TRUE, 
                             minNumPerChrom = 4)
                             
                             


###################################################
### chunk number 14: 
###################################################
#line 325 "ADaCGH2.Rnw"
targets.limma <- readTargets("targets.txt", path = datadir)
RG.limma <- read.maimages(targets.limma, path = datadir, source="genepix")
RG.limma <- backgroundCorrect(RG.limma, method="normexp", offset=50)
MA.limma <- normalizeWithinArrays(RG.limma)



###################################################
### chunk number 15: 
###################################################
#line 341 "ADaCGH2.Rnw"
fclone <- list.files(path = system.file("testdata", package = "snapCGH"),
                     full.names = TRUE, pattern = "cloneinfo.txt")
fclone
tmp <- inputDataToADaCGHData(MAList = MA.limma, 
                             cloneinfo = fclone,
                             na.omit = TRUE)



###################################################
### chunk number 16: 
###################################################
#line 357 "ADaCGH2.Rnw"
acloneinfo <- MA$genes
tmp <- inputDataToADaCGHData(MAList = MA.limma, 
                             cloneinfo = acloneinfo,
                             na.omit = TRUE)




###################################################
### chunk number 17: 
###################################################
#line 375 "ADaCGH2.Rnw"
sfStop()
load("chromData.RData")
load("posData.RData")
load("cghData.RData")

delete(cghData); rm(cghData)
delete(posData); rm(posData)
delete(chromData); rm(chromData)

lapply(hs_mad.out, delete)
rm(hs_mad.out)

setwd(originalDir)
print(getwd())
Sys.sleep(3)


###################################################
### chunk number 18: 
###################################################
#line 394 "ADaCGH2.Rnw"
unlink("ADaCGH2_vignette_tmp_dir", recursive = TRUE)
print(dir())
Sys.sleep(3)


